This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 484457 - rpm fails with error: File not found by glob:
rpm fails with error: File not found by glob:
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 16:48 EST by usermike2817
Modified: 2011-03-15 09:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-04 05:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description usermike2817 2009-02-06 16:48:49 EST
Description of problem: When attempting to install multiple rpms using wild cards, it fails with error: File not found by glob:


Version-Release number of selected component (if applicable): 4.4.2.3-9.el5


How reproducible: 


Steps to Reproduce:
1. [root@localhost packages]# ls
cdrecord-2.01-10.i386.rpm          elinks-0.11.1-5.1.0.1.el5.i386.rpm
cdrecord-2.01-10.x86_64.rpm        elinks-0.11.1-5.1.0.1.el5.x86_64.rpm
cdrecord-devel-2.01-10.i386.rpm    mkisofs-2.01-10.i386.rpm
cdrecord-devel-2.01-10.x86_64.rpm  mkisofs-2.01-10.x86_64.rpm

2.rpm -Uvh *.i386.rpm *noarch.rpm 

  
Actual results: 
error: File not found by glob: *noarch.rpm


Expected results:
With rpm version 4.4.2-48.el5
error: File not found by glob: *noarch
Preparing...               ##########################   [100%]
   and the i386 rpms install



Additional info: perhaps this is by design, but its not the way it used to work.
Comment 1 usermike2817 2009-02-06 16:52:44 EST
It doesn't matter what the rpms are, it just matters that one of the arguments given doesn't have any matches when using a wild card ie. *noarch.rpm
Comment 2 Florian Festi 2009-09-04 05:51:04 EDT
Sorry for the late reply:

This is indeed by design. These globs are evaluated and replaced by your shell. This has nothing to do with rpm itself. If one glob has no matches it is passed unchanged by the shell. Rpm correctly refuses to guess whether there is a real error or just a matter of ignoring this argument for convenience. If rpm behaved differently in the past consider this a bug that got fixed.

Note You need to log in before you can comment on or make changes to this bug.